Function
atBegin
Determines whether an iterator is at the beginning position.
bool atBegin(iterator [, container])
atBegin(file,it)
Include Headers
seqan/basic.h, seqan/blast.h, seqan/graph_types.h
Parameters

iterator | An iterator. Types: Iterator: BottomUp Iterator, Iter, ModifiedIterator, TopDownHistory Iterator Adjacency Iterator, Bfs Iterator, Dfs Preorder Iterator, Edge Iterator, HitIterator, HspIterator, Out-Edge Iterator, Segment, Vertex Iterator
container | Container of iterator. (optional) Remarks: If iterator implements Rooted Iterator then container is optional otherwise container is required.
file | A file stream.
it | An iterator. Types: HitIterator, HspIterator

Return Values
true if iterator points to the fist item of the container, otherwise false.
Example Programs
Iterator Basics
See Also
begin, atEnd, goBegin
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46